net.sf.statcvs.model

## Class Author

- java.lang.Object
- - net.sf.statcvs.model.Author

- All Implemented Interfaces:
    java.lang.Comparable

      public class Author
      extends java.lang.Object
      implements java.lang.Comparable

  Represents an author of one or more `Revision`s in a repository. TODO: Rename to `Login`
  Version:
    $Id: Author.java,v 1.16 2009/08/20 17:44:05 benoitx Exp $
  Author:
    Richard Cyganiak

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Author(java.lang.String name)` Creates a new author.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addRevision(Revision revision)` Adds a revision for this author; called by `Revision` constructor
    `int` | `compareTo(java.lang.Object o)` Compares the instance to another author, using their login names.
    `boolean` | `equals(java.lang.Object rhs)`
    `java.util.SortedSet` | `getDirectories()` Returns all `Directory`s the author has committed a change to, sorted by name.
    `java.lang.String` | `getEmail()`
    `java.lang.String` | `getHomePageUrl()`
    `java.lang.String` | `getImageUrl()`
    `java.lang.String` | `getName()` Returns the author's login name.
    `java.lang.String` | `getRealName()`
    `java.util.SortedSet` | `getRevisions()` Returns all `Revision`s of this author, sorted from oldest to most recent.
    `java.lang.String` | `getTwitterUserId()`
    `java.lang.String` | `getTwitterUserName()`
    `int` | `hashCode()`
    `boolean` | `isTwitterIncludeFlash()`
    `boolean` | `isTwitterIncludeHtml()`
    `void` | `setEmail(java.lang.String email)`
    `void` | `setHomePageUrl(java.lang.String homePageUrl)`
    `void` | `setImageUrl(java.lang.String imageUrl)`
    `void` | `setRealName(java.lang.String realName)`
    `void` | `setTwitterIncludeFlash(boolean twitterIncludeFlash)`
    `void` | `setTwitterIncludeHtml(boolean twitterIncludeHtml)`
    `void` | `setTwitterUserId(java.lang.String twitterUserId)`
    `void` | `setTwitterUserName(java.lang.String twitterUserName)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Author

          public Author(java.lang.String name)

      Creates a new author.
      Parameters:
        `name` - the author's login name

  - ### Method Detail

    - #### addRevision

          protected void addRevision(Revision revision)

      Adds a revision for this author; called by `Revision` constructor
      Parameters:
        `revision` - a revision committed by this author

    - #### getName

          public java.lang.String getName()

      Returns the author's login name.
      Returns:
        the author's login name

    - #### getRevisions

          public java.util.SortedSet getRevisions()

      Returns all `Revision`s of this author, sorted from oldest to most recent.
      Returns:
        all revisions of this author

    - #### getDirectories

          public java.util.SortedSet getDirectories()

      Returns all `Directory`s the author has committed a change to, sorted by name.
      Returns:
        a set of `Directory` objects

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Compares the instance to another author, using their login names.
      Specified by:
        `compareTo` in interface `java.lang.Comparable`
      See Also:
        `Comparable.compareTo(java.lang.Object)`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getHomePageUrl

          public java.lang.String getHomePageUrl()

    - #### setHomePageUrl

          public void setHomePageUrl(java.lang.String homePageUrl)

    - #### getImageUrl

          public java.lang.String getImageUrl()

    - #### setImageUrl

          public void setImageUrl(java.lang.String imageUrl)

    - #### getRealName

          public java.lang.String getRealName()

    - #### setRealName

          public void setRealName(java.lang.String realName)

    - #### getEmail

          public java.lang.String getEmail()

    - #### setEmail

          public void setEmail(java.lang.String email)

    - #### getTwitterUserName

          public java.lang.String getTwitterUserName()

    - #### setTwitterUserName

          public void setTwitterUserName(java.lang.String twitterUserName)

    - #### getTwitterUserId

          public java.lang.String getTwitterUserId()

    - #### setTwitterUserId

          public void setTwitterUserId(java.lang.String twitterUserId)

    - #### isTwitterIncludeHtml

          public boolean isTwitterIncludeHtml()

    - #### setTwitterIncludeHtml

          public void setTwitterIncludeHtml(boolean twitterIncludeHtml)

    - #### isTwitterIncludeFlash

          public boolean isTwitterIncludeFlash()

    - #### setTwitterIncludeFlash

          public void setTwitterIncludeFlash(boolean twitterIncludeFlash)